zenilib: joystick_hwdata Struct Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Classes | Public Attributes | List of all members
joystick_hwdata Struct Reference

`#include <SDL_sysjoystick_c.h>`

## Classes

struct | axis_correct
struct | hwdata_ball
struct | hwdata_hat

## Public Attributes

struct joystick_hwdata::axis_correct | abs_correct [ABS_MAX]
Uint8 | abs_map [ABS_MAX]
long | axes
struct joystick_hwdata::hwdata_ball * | balls
int | buffered
long | buttons
Uint8 | bXInputDevice
Uint8 | bXInputHaptic
DIDEVCAPS | Capabilities
Uint8 | currentXInputSlot
long | elements
int | fd
io_service_t | ffservice
recElement * | firstAxis
recElement * | firstButton
recElement * | firstHat
char * | fname
int | fresh
SDL_JoystickGUID | guid
struct joystick_hwdata::hwdata_hat * | hats
long | hats
LPDIRECTINPUTDEVICE8 | InputDevice
input_t | Inputs [MAX_INPUTS]
int | instance_id
IOHIDDeviceInterface ** | interface
struct SDL_joylist_item * | item
Uint8 | key_map [KEY_MAX-BTN_MISC]
IONotificationPortRef | notificationPort
int | NumInputs
int | NumSliders
struct joystick_hwdata * | pNext
io_iterator_t | portIterator
char | product [256]
int | removed
Uint8 | removed
Uint8 | send_open_event
Uint8 | send_remove_event
int | uncentered
long | usage
long | usagePage
Uint8 | userid
XINPUT_STATE_EX | XInputState [2]

## Detailed Description

Definition at line 58 of file SDL_sysjoystick_c.h.

## Member Data Documentation

struct joystick_hwdata::axis_correct joystick_hwdata::abs_correct[ABS_MAX]

Uint8 joystick_hwdata::abs_map[ABS_MAX]

Definition at line 47 of file SDL_sysjoystick_c.h.

long joystick_hwdata::axes

Definition at line 69 of file SDL_sysjoystick_c.h.

struct joystick_hwdata::hwdata_ball * joystick_hwdata::balls

int joystick_hwdata::buffered

Definition at line 135 of file SDL_dxjoystick_c.h.

long joystick_hwdata::buttons

Definition at line 70 of file SDL_sysjoystick_c.h.

Uint8 joystick_hwdata::bXInputDevice

Definition at line 143 of file SDL_dxjoystick_c.h.

Uint8 joystick_hwdata::bXInputHaptic

Definition at line 144 of file SDL_dxjoystick_c.h.

DIDEVCAPS joystick_hwdata::Capabilities

Definition at line 134 of file SDL_dxjoystick_c.h.

Uint8 joystick_hwdata::currentXInputSlot

Definition at line 146 of file SDL_dxjoystick_c.h.

long joystick_hwdata::elements

Definition at line 72 of file SDL_sysjoystick_c.h.

int joystick_hwdata::fd

Definition at line 29 of file SDL_sysjoystick_c.h.

io_service_t joystick_hwdata::ffservice

Definition at line 60 of file SDL_sysjoystick_c.h.

recElement* joystick_hwdata::firstAxis

Definition at line 74 of file SDL_sysjoystick_c.h.

recElement* joystick_hwdata::firstButton

Definition at line 75 of file SDL_sysjoystick_c.h.

recElement* joystick_hwdata::firstHat

Definition at line 76 of file SDL_sysjoystick_c.h.

char* joystick_hwdata::fname

Definition at line 32 of file SDL_sysjoystick_c.h.

int joystick_hwdata::fresh

Definition at line 54 of file SDL_sysjoystick_c.h.

SDL_JoystickGUID joystick_hwdata::guid

Definition at line 82 of file SDL_sysjoystick_c.h.

struct joystick_hwdata::hwdata_hat * joystick_hwdata::hats

long joystick_hwdata::hats

Definition at line 71 of file SDL_sysjoystick_c.h.

LPDIRECTINPUTDEVICE8 joystick_hwdata::InputDevice

Definition at line 133 of file SDL_dxjoystick_c.h.

input_t joystick_hwdata::Inputs[MAX_INPUTS]

Definition at line 138 of file SDL_dxjoystick_c.h.

int joystick_hwdata::instance_id

Definition at line 81 of file SDL_sysjoystick_c.h.

IOHIDDeviceInterface** joystick_hwdata::interface

Definition at line 61 of file SDL_sysjoystick_c.h.

struct SDL_joylist_item* joystick_hwdata::item

Definition at line 30 of file SDL_sysjoystick_c.h.

Uint8 joystick_hwdata::key_map[KEY_MAX-BTN_MISC]

Definition at line 46 of file SDL_sysjoystick_c.h.

IONotificationPortRef joystick_hwdata::notificationPort

Definition at line 62 of file SDL_sysjoystick_c.h.

int joystick_hwdata::NumInputs

Definition at line 139 of file SDL_dxjoystick_c.h.

int joystick_hwdata::NumSliders

Definition at line 140 of file SDL_dxjoystick_c.h.

struct joystick_hwdata* joystick_hwdata::pNext

Definition at line 85 of file SDL_sysjoystick_c.h.

io_iterator_t joystick_hwdata::portIterator

Definition at line 63 of file SDL_sysjoystick_c.h.

char joystick_hwdata::product[256]

Definition at line 65 of file SDL_sysjoystick_c.h.

int joystick_hwdata::removed

Definition at line 78 of file SDL_sysjoystick_c.h.

Uint8 joystick_hwdata::removed

Definition at line 141 of file SDL_dxjoystick_c.h.

Uint8 joystick_hwdata::send_open_event

Definition at line 83 of file SDL_sysjoystick_c.h.

Uint8 joystick_hwdata::send_remove_event

Definition at line 142 of file SDL_dxjoystick_c.h.

int joystick_hwdata::uncentered

Definition at line 79 of file SDL_sysjoystick_c.h.

long joystick_hwdata::usage

Definition at line 66 of file SDL_sysjoystick_c.h.

long joystick_hwdata::usagePage

Definition at line 67 of file SDL_sysjoystick_c.h.

Uint8 joystick_hwdata::userid

Definition at line 145 of file SDL_dxjoystick_c.h.

XINPUT_STATE_EX joystick_hwdata::XInputState[2]

Definition at line 147 of file SDL_dxjoystick_c.h.

The documentation for this struct was generated from the following files:

- zenilib/jni/external/sdl/src/joystick/darwin/SDL_sysjoystick_c.h
- zenilib/jni/external/sdl/src/joystick/linux/SDL_sysjoystick_c.h
- zenilib/jni/external/sdl/src/joystick/windows/SDL_dxjoystick_c.h